#
# spec file for package xscreensaver (Version 3.33)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bc fortune gle glib glib-devel gtk gtk-devel mesa mesa-devel mesaglut mesaglut-devel mesasoft openmotif openmotif-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bc bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex fortune gawk gcc gdbm gdbm-devel gettext gle glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         xscreensaver
Copyright:    distributable
Group:        X11/Amusements
Provides:     xscrns
Obsoletes:    xscrns 
Autoreqprov:  on
Version:      3.33
Release:      66
Summary:      A screensaver application
Url:          http://www.jwz.org/xscreensaver/
Source:       xscreensaver-%{version}.tar.bz2
Source1:      xscreensaver.pamd
Source2:      README.SuSE
# screensaver webcollage removed as it downloads from web
Patch:        webcollage-out-%{version}.dif
Patch1:       xscreensaver-%{version}-ia64.dif
Patch2:       xscreensaver-%{version}.dif
Patch3:       xscreensaver-%{version}-axp.dif
BuildRoot:    /var/tmp/%{name}-build
%define kdedir /opt/kde2

%description
The xscreensaver program waits until the keyboard and mouse have been idle
for a period, and then runs a graphics demo chosen at random.  It turns off
as soon as there is any mouse or keyboard activity.

Authors:
--------
    Jamie Zawinski <jwz@jwz.org>

SuSE series: xap

%prep
%setup
%patch
%patch1
%patch2
%patch3
cp %{S:2} .

%build
%{suse_update_config -f}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --without-kerberos \
            --with-pam \
            --with-xpm \
            --with-xshm-ext \
            --without-gnome \
            --mandir=/usr/X11R6/man \
            --exec-prefix=/usr/X11R6 \
            --enable-locking \
%ifarch i386 i486 i586 i686
			--with-gle \
%endif
%ifarch alpha
	    --without-xf86vmode-ext \
%endif
	    --enable-subdir=../lib/xscreensaver
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT%{kdedir}/bin
make install_prefix=$RPM_BUILD_ROOT \
     KDEDIR=%{kdedir} \
     DESTDIR=$RPM_BUILD_ROOT \
     install-strip
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/pam.d/xscreensaver
chgrp shadow $RPM_BUILD_ROOT/usr/X11R6/bin/xscreensaver
chmod 2755 $RPM_BUILD_ROOT/usr/X11R6/bin/xscreensaver

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README README.SuSE README.debugging screenblank.txt
%doc /usr/X11R6/man/man1/*
/usr/X11R6/bin/*
/usr/X11R6/lib/xscreensaver
%{kdedir}/bin/*
%config /usr/X11R6/lib/X11/app-defaults/XScreenSaver
%config /etc/pam.d/xscreensaver

%changelog -n xscreensaver
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Mon Jul 30 2001 - cihlar@suse.cz
- update to version 3.33
* Thu Jul 19 2001 - cihlar@suse.cz
- fixed to compile on axp
* Mon Jun 18 2001 - cihlar@suse.cz
- moved xscreensaver.kss to /opt/kde2/bin
* Tue Jun 12 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Mon Jun 04 2001 - cihlar@suse.cz
- fixed arguments to XtVa... functions for ia64 [bug #8612]
* Mon May 21 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Tue Apr 10 2001 - cihlar@suse.cz
- updated to version 3.31
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Tue Mar 13 2001 - cihlar@suse.cz
- update to version 3.29
* Thu Mar 08 2001 - uli@suse.de
- added mesaglut* to neededforbuild
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Fri Dec 15 2000 - grimmer@suse.de
- added GLE support for Intel archs
* Wed Nov 22 2000 - cihlar@suse.cz
- renamed xscrns -> xscreensaver
- update to version 3.26
- bzipped sources
- removed xpm.h from sources
- compile again with xdevel
- fixed copyright
* Mon Nov 20 2000 - ro@suse.de
- switch to openmotif
* Tue Sep 05 2000 - schwab@suse.de
- Don't add -Wp,-lang-c89 to $CC, enables strict ANSI mode in newer gcc
  versions.
* Tue Aug 22 2000 - cihlar@suse.cz
- change /usr/X11R6/xscreensaver to 2755 root.shadow
* Wed Aug 02 2000 - cihlar@suse.cz
- compile with xpm support
* Fri Jul 28 2000 - cihlar@suse.cz
- compile with xdevel3 instead of xdevel
* Wed Jul 12 2000 - cihlar@suse.cz
- mesadev added to needforbuild
* Mon Jul 03 2000 - cihlar@suse.cz
- screensaver webcollage removed
* Thu Apr 13 2000 - cihlar@suse.cz
- added define kdedir to spec file
* Wed Apr 12 2000 - cihlar@suse.cz
- upgrade to version 3.24
- added BuildRoot
- clean up spec file
* Wed Jan 26 2000 - ro@suse.de
- update to 3.22
- move demos to /usr/X11R6/lib/xscreensaver
- use lesstif
  (xscreensaver-demo won't build without either motif or gtk)
* Thu Nov 04 1999 - ro@suse.de
- update to 3.18
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 01 1999 - grimmer@suse.de
- Update to 3.16, added new manual pages
- added README.SuSE and screenblank.txt to DOCDIR
* Tue Jun 15 1999 - kukuk@suse.de
- Don't link mesa static, enable PAM support
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Wed Apr 14 1999 - ro@suse.de
- update to 3.09
- link static against mesa libs
* Tue Feb 10 1998 - bs@suse.de
- fixed Check for man pages
* Tue Jan 13 1998 - bb@suse.de
  Changes since 2.13:
- Better fix for the Motif drag-and-die lossage.
- Put in some kludges to work around a LessTif bug.
- XScreenSaver is known to work with LessTif 0.82 now.
- Made fading work on high-end SGI video hardware.
- Fixed another SGI-specific bug in screen grabbing;
  will the madness never cease?
- Fixed another crash in `xlyap'.
